RDKit: ForceFields::MMFF::MMFFBondCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ForceFields::MMFF::MMFFBondCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const MMFFBond * | operator() (const unsigned int bondType, const unsigned int atomType, const unsigned int nbrAtomType) const
| Looks up the parameters for a particular key and returns them.
| MMFFBondCollection (std::string mmffBond="")

## Public Attributes
std::vector< MMFFBond > | d_params
| the parameter vector
std::vector< std::uint8_t > | d_iAtomType
| atom type vector for atom i
std::vector< std::uint8_t > | d_jAtomType
| atom type vector for atom j
std::vector< std::uint8_t > | d_bondType
| bond type vector for bond i-j

## Detailed Description

Definition at line 309 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## ◆ MMFFBondCollection()

ForceFields::MMFF::MMFFBondCollection::MMFFBondCollection | ( | std::string | mmffBond = "" | ) |

References d_params.

## Member Function Documentation

## ◆ operator()()

const MMFFBond * ForceFields::MMFF::MMFFBondCollection::operator() | ( | const unsigned int | bondType,
|  | const unsigned int | atomType,
|  | const unsigned int | nbrAtomType ) const
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFBond object, NULL on failure.

Definition at line 315 of file MMFF/Params.h.

References d_bondType, d_iAtomType, d_jAtomType, and d_params.

## Member Data Documentation

## ◆ d_bondType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFBondCollection::d_bondType

bond type vector for bond i-j

Definition at line 371 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_iAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFBondCollection::d_iAtomType

atom type vector for atom i

Definition at line 369 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_jAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFBondCollection::d_jAtomType

atom type vector for atom j

Definition at line 370 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_params

std::vector<MMFFBond> ForceFields::MMFF::MMFFBondCollection::d_params

the parameter vector

Definition at line 368 of file MMFF/Params.h.

Referenced by MMFFBondCollection(), and operator()().

The documentation for this class was generated from the following file:

- MMFF/Params.h